#!/bin/bash
# http://pysdm.sourceforge.net/#downloads
# Packager : JP Guillemin jp.guillemin@free.fr

soft='pysdm'
softversion='0.4.1'
packageversion='54.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.gz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="/tmp/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu"

cd $src
./configure --prefix=/usr

make DESTDIR=$dest
make install DESTDIR=$dest


cat << "EOF" > $dest/usr/share/applications/pysdm.desktop
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Storage Device Manager
Name[es]=Dispositivos de Almacenamiento
Comment=Management of Storage Devices
Comment[es]=Configurar los dispositivos de almacenamiento
Type=Application
Exec=/usr/bin/gksu /usr/bin/pysdm
Icon=gnome-dev-harddisk
Terminal=false
Categories=Application;System;Settings;X-Zenpanel;
StartupNotify=true
EOF

( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

# redundant
rm -rf $dest/usr/share/doc

# Description file
mkdir -p $dest/install

cat << "EODESC" > $dest/install/slack-desc
pysdm: pysdm - Storage Device Manager
pysdm:
pysdm: PySDM is a Storage Device Manager that allows customization 
pysdm: of hard disk mountpoints  without  manually  access  to  fstab.
pysdm: It also allows creation of udev rules for dynamic configuration 
pysdm: of storage devices.
pysdm: 
pysdm:
pysdm:
pysdm:
EODESC

# Documentation
mkdir -p $dest/usr/doc/$soft-$softversion
cp -a AUTHORS COPYING INSTALL TODO README NEWS ChangeLog $dest/usr/doc/$soft-$softversion
cp -a DOCS/tech/* $dest/usr/doc/$soft-$softversion
mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

# Packaging
cd $dest
makepkg -l y -c n $dest.tgz

# cleanup 
rm -rf $dest
rm -rf $src
